## nightview current

=== homepage/Makefile ===
#
# process #include directores in html file in .html files
# in fashion of Apache's SSI includes
#
# the tags: <!-- #include virtual="*" --> are replaced by content of a file
# 
# $Id: Makefile,v 1.3 2008-01-25 21:54:49 hroch Exp $
#

.SUFFIXES: .sgml .html

TARGETS= nightview.html features.html developer.html download.html \
         install.html basic.html screenshots.html  documents.html \
         developer.html configure.html faq.html history.html manual.html

all: $(TARGETS)

install: all
	ln -s nightview.html index.html

clean:
	rm -f $(TARGETS); rm -f *~; rm -f index.html

.sgml.html:
	awk -f incl.awk $< >$@
