=== debian/changelog ===
nightview (0.3.0-0) unstable; urgency=low

  * Important major changes. The great important changes in architecture.

 -- F. Hroch <hroch@physics.muni.cz>  Fri, 25 Oct 2002 22:09:52 +0100

nightview (0.2-2) unstable; urgency=low

  * Many minor improvements. Spliting to more packages due to dependencies.

 -- F. Hroch <hroch@physics.muni.cz>  Sun, 13 Jan 2002 14:22:36 +0100

nightview (0.2-1) unstable; urgency=low

  * Some minor improvements.

 -- F. Hroch <hroch@physics.muni.cz>  Sun,  2 Dec 2001 19:01:22 +0100

nightview (0.1-1) unstable; urgency=low

  * Initial Release.

 -- F. Hroch <hroch@physics.muni.cz>  Wed, 17 Oct 2001 19:51:21 +0200

Local variables:
mode: debian-changelog
End:
