=== debian/control ===
Source: nightview
Section: misc
Priority: optional
Maintainer: F. Hroch <hroch@physics.muni.cz>
Build-Depends: debhelper (>> 3.0.0), sbig-linux (>> 2.0), libcfitsio-dev (>> 2.0), libcurl2-dev (>> 7.0.0), libgtk1.2-dev (>> 1.2.0), libgdk-pixbuf-dev (>> 0.22.0)
Standards-Version: 3.5.2

Package: libccdsbig-dev
Architecture: i386
Depends: libc6 (>= 2.2), sbig-linux (>= 2.2), libccdsbig(>= 0.3.0)
Description: Wrapper library to libsbig
 This is a wrapper for the driver library libsbig by S. Ashe. 
 .
 Static library.
 
Package: libccdsbig
Architecture: i386
Depends: libc6 (>= 2.2), sbig-linux (>= 2.2)
Description: Wrapper library to libsbig
 This is a wrapper for the driver library libsbig by S. Ashe. 
 .
 Runtime library used only by nightview server.
 
Package: libccdnet-dev
Architecture: any
Depends: libc6 (>= 2.2), libcurl2 (>= 7.9.2-1) | libcurl2-ssl (>= 7.9.2-1)
Description: Client part of CCD library. 
 This library provides unified and transparent interface to use
 CCD camera over network. 
 .
 Static library.
 
Package: libccdnet
Architecture: any
Depends: libc6 (>= 2.2), libcurl2 (>= 7.9.2-1) | libcurl2-ssl (>= 7.9.2-1)
Description: Client part of CCD library. 
 This library provides unified and transparent interface to use
 CCD camera over network. 
 .
 Runtime library. Used by clients

Package: nightview-server
Architecture: any
Depends: libc6 (>= 2.2), libccdsbig (>= 0.3.0), cfitsio2 (>= 2.2) |  libcfitsio2 (>= 2.2)
Description: Server to control of CCD camera.
 This package provides local daemon for control of a CCD camera.

Package: nightview-shell
Architecture: any
Depends: libc6 (>= 2.2), cfitsio2 (>= 2.2) |  libcfitsio2 (>= 2.2), libccdnet (>= 0.3)
Description: Console utilities to control of CCD camera.
 This package provides console utilities to control of a CCD camera.

Package: nightview-gtk
Architecture: any
Depends: libc6 (>= 2.2), libgtk1.2 (>= 1.2), cfitsio2 (>= 2.2) |  libcfitsio2 (>= 2.2), libccdnet (>= 0.3)
Description: Graphical utility to control of CCD camera.
 This package provides graphical frontend to control of a CCD camera.

Package: nightview-doc
Architecture: all
Description: Documentation for nightview
 A few words how to use of the nightview.
 .
 The ps, pdf and html formated documentation with figures created 
 by the Docbook system from XML source. 

Package: nightview-remote
Architecture: any
Depends: libc6 (>= 2.2), boa (>= 0.9)
Description: A server to remote control of CCD camera.
 This package provides remote access for nightview-server and mount-server.
 .
 This package contains shell scripts to run http server (boa) and cgi 
 routine to comunicate with CCD camera over internet. 
  
Package: mount-server
Architecture: any
Depends: libc6 (>= 2.2)
Recommends: httpd
Description: Server to control of telescope mount.
 This package provides local daemon for control of telescope mount.
 .
 This server require an additional, user provided commands to
 control of your own mount. The low-level shell commands for 
 a specified mount must be provided.

Package: mount-shell
Architecture: any
Depends: libc6 (>= 2.2), libccdnet (>= 0.3.0)
Description: Console utilities to control of telescope mount.
 This package provides console utilities to control of mount of telescope.

Package: mount-xmove
Architecture: any
Depends: libc6 (>= 2.2), libwxgtk2.4-python, mount-shell (>= 0.3)
Description: Graphical utility to control of telescope mount.
 This package provides graphical frontend to control of mount of telescope.
